> For the complete documentation index, see [llms.txt](https://docs.tarlanpayments.kz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tarlanpayments.kz/platezhnyi-shlyuz/vspomogatelnye-metody/raschet-verkhnei-komissii.md).

# Расчет верхней комиссии

<mark style="color:blue;">`GET`</mark> `https://prapi.tarlanpayments.kz/commission/api/v1/system/project/upper/commission`

#### Query Parameters

| Name                                                      | Type    | Description                                             |
| --------------------------------------------------------- | ------- | ------------------------------------------------------- |
| project\_id<mark style="color:red;">\*</mark>             | Integer | Идентификатор проекта присваиваемый платежной системой  |
| merchant\_id<mark style="color:red;">\*</mark>            | Integer | Идентификатор мерчанта присваиваемый платежной системой |
| transaction\_type\_code<mark style="color:red;">\*</mark> | String  | [Тип транзакции](/platezhnyi-shlyuz/tipy-tranzakcii.md) |
| transaction\_amount<mark style="color:red;">\*</mark>     | Float   | Сумма транзакции                                        |

#### Headers

| Name                                            | Type   | Description                                                                                         |
| ----------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer  Авторотационный хэш (см [Формирование подписи](/platezhnyi-shlyuz/formirovanie-podpisi.md)) |

{% tabs %}
{% tab title="200: OK Пример успешного ответа" %}

```json
{
    "status": true,
    "message": "Success",
    "result": {
        "total_commission_amount": 999.00
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error Пример ответа с ошибкой" %}

```json
{
    "status": false,
    "status_code": 5102,
    "message": "commission not found",
    "result": {}
}
```

{% endtab %}
{% endtabs %}

{% code fullWidth="true" %}

```bash
curl --location 'https://prapi.tarlanpayments.kz/comission/api/v1/system/project/upper/commission?merchant_id=999&project_id=999&transaction_amount=1000.00&transaction_type_code=in' \
--header 'Authorization: Bearer sign' \
--data ''
```

{% endcode %}
